View a markdown version of this page

CreateConfig - AWS Ground Station

CreateConfig

Creates a Config with the specified configData parameters.

Only one type of configData can be specified.

Request Syntax

POST /config HTTP/1.1 Content-type: application/json { "configData": { ... }, "name": "string", "tags": { "string" : "string" } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

configData

Parameters of a Config.

Type: ConfigTypeData object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: Yes

name

Name of a Config.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [ a-zA-Z0-9_:-]{1,256}

Required: Yes

tags

Tags assigned to a Config.

Type: String to string map

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "configArn": "string", "configId": "string", "configType": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

configArn

ARN of a Config.

Type: String

Length Constraints: Minimum length of 82. Maximum length of 424.

Pattern: arn:aws:groundstation:[-a-z0-9]{1,50}:[0-9]{12}:config/[a-z0-9]+(-[a-z0-9]+){0,4}/[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}(/.{1,256})?

configId

UUID of a Config.

Type: String

configType

Type of a Config.

Type: String

Valid Values: antenna-downlink | antenna-downlink-demod-decode | tracking | dataflow-endpoint | antenna-uplink | uplink-echo | s3-recording | telemetry-sink

Errors

For information about the errors that are common to all actions, see Common Error Types.

DependencyException

Dependency encountered an error.

parameterName

Name of the parameter that caused the exception.

HTTP Status Code: 531

InvalidParameterException

One or more parameters are not valid.

parameterName

Name of the invalid parameter.

HTTP Status Code: 431

ResourceLimitExceededException

Account limits for this resource have been exceeded.

parameterName

Name of the parameter that exceeded the resource limit.

HTTP Status Code: 429

ResourceNotFoundException

Resource was not found.

HTTP Status Code: 434

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: